product: ucs
release: "5.0"
version: [1]
scope: ucs_5.0-0-errata5.0-1
src: samba
fix: 2:4.13.13-1A~5.0.0.202201242102
desc: |
 This update addresses the following issues:
 * Opening the security tab in Microsoft Windows Explorer on shares or files
   containing some SIDs considered invalid by Samba caused Samba to crash. The
   patch was accidentally dropped with UCS 5.0 and has been re-applied.
 * A vulnerability was fixed which allows remote attackers to execute
   arbitrary code as root on affected Samba installations that use the VFS
   module vfs_fruit. The module is by default not activated in UCS.
   (CVE-2021-44142)
 * Checks in the Samba AD DC to prevent aliased SPNs could be bypassed, giving
   users who can write to an account's servicePrincipalName attribute the
   ability to impersonate services. (CVE-2022-0336)
bug: [53629,54369]
cve:
- CVE-2021-44142
- CVE-2022-0336
